petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatKAIJSetAIJ

Set the AIJ matrix describing the blockwise action of the KAIJ matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJSetAIJ(Mat A,Mat B)

Logically Collective; if the AIJ matrix is parallel, the KAIJ matrix is also parallel

### Input Parameters

| A | - the KAIJ matrix
| B | - the AIJ matrix

### Notes

This function increases the reference count on the AIJ matrix, so the user is free to destroy the matrix if it is not needed. Changes to the entries of the AIJ matrix will immediately affect the KAIJ matrix.

### See Also

MatKAIJGetAIJ(), MatKAIJSetS(), MatKAIJSetT()

### Level

advanced

### Location

src/mat/impls/kaij/kaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages